# Uses of Enum
com.fasterxml.jackson.core.json.JsonWriteFeature

Packages that use JsonWriteFeature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonWriteFeature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core with parameters of type JsonWriteFeature
Modifier and Type
Method
Description
`JsonFactoryBuilder`
JsonFactoryBuilder.`configure(JsonWriteFeature f, boolean state)`
`B`
TSFBuilder.`configure(JsonWriteFeature f, boolean state)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`disable(JsonWriteFeature f)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`disable(JsonWriteFeature first, JsonWriteFeature... other)`
`B`
TSFBuilder.`disable(JsonWriteFeature f)`
`B`
TSFBuilder.`disable(JsonWriteFeature first, JsonWriteFeature... other)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`enable(JsonWriteFeature f)`
`JsonFactoryBuilder`
JsonFactoryBuilder.`enable(JsonWriteFeature first, JsonWriteFeature... other)`
`B`
TSFBuilder.`enable(JsonWriteFeature f)`
`B`
TSFBuilder.`enable(JsonWriteFeature first, JsonWriteFeature... other)`

## Uses of JsonWriteFeature in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonWriteFeature
Modifier and Type
Method
Description
`static JsonWriteFeature`
JsonWriteFeature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonWriteFeature[]`
JsonWriteFeature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.